MODCONF(8)

NAZWA
modconf - narzędzie konfiguracji modułów

SKŁADNIA
modconf [--source [floppy|mounted]] [--target miejsce_przeznaczenia] [--libdir ścieżka] [--restrict-section dział]* [--exclude-section dział]* [--load-before moduł]* [--load-only moduł]* [--load-after moduł]*

OPIS
modconf to skrypt służący do instalacji modułów jądra Linux. Można go używać interaktywnie (tryb GUI), lub z linii komend (tryb wsadowy).

OPCJE
Opcje zaznaczone poniżej "*" są stosowane wobec tylko jednego modułu. Jeśli chcesz zastosowac je wobec wiekszej ilości modułów, powtórz opcję na linii komend.

--source floppy|mounted
    Wskazuje skąd mają zostać pobrane moduły. Opcja floppy (dyskietka) jest używana przy instalacji Linuksa. Opcja mounted jest używana przy zainstalowanym już systemie i jest ona stosowana domyślnie.

--target katalog
    Określa gdzie w systemie znajdują się pliki etc/modules i etc/modules.conf (domyślnie: / ). Nazwy katalogu nie należy konczyć znakiem "/".

--libdir ścieżka
    Określa gdzie w systemie znajdują się pliki eval i descr.gz (domyślnie: /usr/lib/module_help). Nazwy katalogu nie należy konczyć znakiem "/".

--restrict-section dział*
    ogranicza program modconf wyłącznie do określonego działu /lib/modules

--exclude-section dział*
    zmusza program modconf do zignorowania danego działu /lib/modules
    Dostępne w czasie pisania tego dokumentu działy to: block cdrom fs ipv4 ipv6 misc net scsi (mogą być tam także inne działy w przypadku zainstalowania pakietów ze specjalnymi modułami, np. pcmcia-modules).

--load-before moduł*
    dany moduł ma zostać załadowany przed wszystkimi innymi.

--load-only moduł*
    dany moduł ma zostać załadowany po podanych opcją --load-before. Wyłącza tryb interaktywny.

--load-after moduł*
    dany moduł ma zostać załadowany po podanych opcją --load-before.
    Ta opcja zostaje zignorowana w przypadku podania również poprzedniej opcji.

PRZYKŁADY

Poniższe przykłady nie zostały przetestowane

modconf --load-only plip --load-before ip_masq_ftp --load-only appletalk

Ładuje moduły "ip_masq_ftp", "plip" oraz "appletalk", w takiej kolejności, i nie uruchamia programu interaktywnego.

AUTOR
modconf został napisany przez Bruce'a Perens'a <bruce@pixar.com>.
Duże zmiany wprowadził Sven Rudolph <sr1@inf.tu-dresden.de>.
Więcej zmian wprowadził Enrique Zanardi <ezanardi@ull.es>.
I jeszcze trochę - Randolph Chung <tausq@debian.org>.

Ta strona podręcznika została napisana przez Antonio Vieiro Varela <antonio@faraday.usc.es>, a przetłumaczona na język polski przez Marcina Owsianego <porridge@debian.org>.

BŁĘDY
Brak znanych.

PATRZ TEŻ
insmod(1), modprobe(1), depmod(1), lsmod(1), rmmod(1), modules(2), kerneld(8).